/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MapComponent } from './map/map.component';
import { CustomWidgetDirective } from './widgets/custom-widget/custom-widget.directive';
import { LayersToggleComponent } from './widgets/layers-toggle/layers-toggle.component';
import { SubLayersToggleComponent } from './widgets/layers-toggle/sub-layers-toggle/sub-layers-toggle.component';
import { EsriModuleProvider } from './core/esri-module-provider';
import { EsriMapService } from './core/esri-map.service';
export class AngularEsriModule {
}
AngularEsriModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule
                ],
                declarations: [
                    MapComponent,
                    CustomWidgetDirective,
                    LayersToggleComponent,
                    SubLayersToggleComponent
                ],
                exports: [
                    MapComponent,
                    CustomWidgetDirective,
                    LayersToggleComponent
                ],
                providers: [EsriModuleProvider, EsriMapService]
            },] },
];
function AngularEsriModule_tsickle_Closure_declarations() {
    /** @type {!Array<{type: !Function, args: (undefined|!Array<?>)}>} */
    AngularEsriModule.decorators;
    /**
     * @nocollapse
     * @type {function(): !Array<(null|{type: ?, decorators: (undefined|!Array<{type: !Function, args: (undefined|!Array<?>)}>)})>}
     */
    AngularEsriModule.ctorParameters;
}
//# sourceMappingURL=angular-esri-components.module.js.map
