/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
import { Injectable } from '@angular/core';
import { loadModules } from 'esri-loader';
import { environment } from '../../environments/environment';
export class EsriModuleProvider {
    constructor() { }
    /**
     * @param {?} moduleNames
     * @return {?}
     */
    require(moduleNames) {
        return loadModules(moduleNames, {
            // the specific version of the API that is to be used
            url: environment.arcGisScriptUrl
        });
    }
}
EsriModuleProvider.decorators = [
    { type: Injectable },
];
/** @nocollapse */
EsriModuleProvider.ctorParameters = () => [];
function EsriModuleProvider_tsickle_Closure_declarations() {
    /** @type {!Array<{type: !Function, args: (undefined|!Array<?>)}>} */
    EsriModuleProvider.decorators;
    /**
     * @nocollapse
     * @type {function(): !Array<(null|{type: ?, decorators: (undefined|!Array<{type: !Function, args: (undefined|!Array<?>)}>)})>}
     */
    EsriModuleProvider.ctorParameters;
}
//# sourceMappingURL=esri-module-provider.js.map
