/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
import { Directive, ElementRef, Input } from '@angular/core';
import { EsriMapService } from './../../core/esri-map.service';
var CustomWidgetDirective = /** @class */ (function () {
    /**
     * @param {?} el
     * @param {?} mapService
     */
    function CustomWidgetDirective(el, mapService) {
        this.el = el;
        this.mapService = mapService;
    }
    /**
     * @return {?}
     */
    CustomWidgetDirective.prototype.ngOnInit = function () {
        var _this = this;
        this.mapService.isLoaded.subscribe(function () {
            // after map is loaded then add widget
            _this.mapService.addWidget(_this.el.nativeElement, _this.position);
        });
    };
    return CustomWidgetDirective;
}());
export { CustomWidgetDirective };
CustomWidgetDirective.decorators = [
    { type: Directive, args: [{
                selector: '[esriCustomWidget], [esri-customWidget]'
            },] },
];
/** @nocollapse */
CustomWidgetDirective.ctorParameters = function () { return [
    { type: ElementRef, },
    { type: EsriMapService, },
]; };
CustomWidgetDirective.propDecorators = {
    "position": [{ type: Input },],
};
function CustomWidgetDirective_tsickle_Closure_declarations() {
    /** @type {!Array<{type: !Function, args: (undefined|!Array<?>)}>} */
    CustomWidgetDirective.decorators;
    /**
     * @nocollapse
     * @type {function(): !Array<(null|{type: ?, decorators: (undefined|!Array<{type: !Function, args: (undefined|!Array<?>)}>)})>}
     */
    CustomWidgetDirective.ctorParameters;
    /** @type {!Object<string,!Array<{type: !Function, args: (undefined|!Array<?>)}>>} */
    CustomWidgetDirective.propDecorators;
    /** @type {?} */
    CustomWidgetDirective.prototype.position;
    /** @type {?} */
    CustomWidgetDirective.prototype.el;
    /** @type {?} */
    CustomWidgetDirective.prototype.mapService;
}
//# sourceMappingURL=custom-widget.directive.js.map
