/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
import { Component, Input } from '@angular/core';
var SubLayersToggleComponent = /** @class */ (function () {
    function SubLayersToggleComponent() {
    }
    Object.defineProperty(SubLayersToggleComponent.prototype, "layer", {
        /**
         * @param {?} layer
         * @return {?}
         */
        set: function (layer) {
            this._sublayers = layer.sublayers
                .toArray()
                .slice()
                .reverse();
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} $event
     * @param {?} sublayer
     * @return {?}
     */
    SubLayersToggleComponent.prototype.onCheck = function ($event, sublayer) {
        sublayer.visible = $event.target.checked;
    };
    return SubLayersToggleComponent;
}());
export { SubLayersToggleComponent };
SubLayersToggleComponent.decorators = [
    { type: Component, args: [{
                selector: 'esri-sublayers-toggle, esri-sublayersToggle',
                template: "<div *ngFor=\"let sublayer of _sublayers\" class=\"sublayers\">\n  <input type=\"checkbox\" [checked]=\"sublayer.visible\" (click)=\"onCheck($event, sublayer)\" /> {{sublayer.title}}\n  <esri-sublayers-toggle [layer]=\"sublayer\" *ngIf=\"sublayer.sublayers && sublayer.sublayers.toArray()\"></esri-sublayers-toggle><!--recursive sub layers-->\n</div>\n",
                styles: [".sublayers{padding-left:15px}"]
            },] },
];
/** @nocollapse */
SubLayersToggleComponent.ctorParameters = function () { return []; };
SubLayersToggleComponent.propDecorators = {
    "layer": [{ type: Input },],
};
function SubLayersToggleComponent_tsickle_Closure_declarations() {
    /** @type {!Array<{type: !Function, args: (undefined|!Array<?>)}>} */
    SubLayersToggleComponent.decorators;
    /**
     * @nocollapse
     * @type {function(): !Array<(null|{type: ?, decorators: (undefined|!Array<{type: !Function, args: (undefined|!Array<?>)}>)})>}
     */
    SubLayersToggleComponent.ctorParameters;
    /** @type {!Object<string,!Array<{type: !Function, args: (undefined|!Array<?>)}>>} */
    SubLayersToggleComponent.propDecorators;
    /** @type {?} */
    SubLayersToggleComponent.prototype._sublayers;
}
//# sourceMappingURL=sub-layers-toggle.component.js.map
