/// <reference types="arcgis-js-api" />
import { OnInit, ElementRef, EventEmitter } from '@angular/core';
import { EsriMapService } from './../core/esri-map.service';
export declare class MapComponent implements OnInit {
    private mapService;
    map: __esri.Map;
    mapView: __esri.MapView;
    mapEl: ElementRef;
    mapProperties: __esri.MapProperties;
    webMapProperties: __esri.WebMapProperties;
    mapViewProperties: __esri.ViewProperties;
    viewType: string;
    mapInit: EventEmitter<{}>;
    constructor(mapService: EsriMapService);
    ngOnInit(): void;
    loadMap(): void;
}
